VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - a -

- accessTransferObject_rt() : RTTransferT< ObjectT, Deleter >
- activateBus() : Component , SingleComponentEffect
- activateMainIOBusses() : TestBase
- active : Bus
- addAudioInput() : AudioEffect , SingleComponentEffect
- addAudioOutput() : AudioEffect , SingleComponentEffect
- addChange() : ParameterChangeTransfer
- addEvent() : EventList
- addEventInput() : AudioEffect , SingleComponentEffect
- addEventOutput() : AudioEffect , SingleComponentEffect
- addIvar() : ObjCClassBuilder
- addMethod() : ObjCClassBuilder
- addNoteExpressionType() : NoteExpressionTypeContainer
- addParameter() : ParameterContainer
- addParameterData() : ParameterChanges
- addPlugInterfaceSupported() : PlugInterfaceSupport
- addPoint() : ParameterValueQueue , ParamChanges
- addProcessor() : MidiIO
- addProgram() : ProgramList , ProgramListWithPitchNames
- addProgramList() : EditControllerEx1
- addProtocol() : ObjCClassBuilder
- addRef() : StringResult
- addUnit() : EditControllerEx1
- advance() : Parameter
- alignment : DataExchangeHandler::Config
- allocateMessage() : ComponentBase
- allocationError : MemoryStream
- allowAllocateSize() : IDataExchangeHandlerHost
- allowQueueListResize() : IDataExchangeHandlerHost
- appendString() : StringListParameter
- application:didFinishLaunchingWithOptions: : VSTInterAppAudioAppDelegateBase
- application:shouldRestoreApplicationState: : VSTInterAppAudioAppDelegateBase
- application:shouldSaveApplicationState: : VSTInterAppAudioAppDelegateBase
- application:willFinishLaunchingWithOptions: : VSTInterAppAudioAppDelegateBase
- applicationDidBecomeActive: : VSTInterAppAudioAppDelegateBase
- applicationWillResignActive: : VSTInterAppAudioAppDelegateBase
- associatedParameter : NoteExpressionType
- at() : PresetFile , SpeakerArray
- attached() : CPluginView
- attachedToParent() : CPluginView , EditorView
- AudioBuffer() : AudioBuffer< T >
- AudioBus() : AudioBus
- AudioDefaults : TestEnh
- audioEffect : TestEnh
- AudioEffect() : AudioEffect
- audioInputs : SingleComponentEffect , Component
- audioOutputs : SingleComponentEffect , Component

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.